Show / Hide Table of Contents

# Struct hkQsTransformf

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkQsTransformf

### Fields

| Improve this Doc View Source

#### Rotation

##### Declaration

    public hkQuaternionf Rotation

##### Field Value

Type | Description
--- | ---
hkQuaternionf |

| Improve this Doc View Source

#### Scale

##### Declaration

    public hkVector4f Scale

##### Field Value

Type | Description
--- | ---
hkVector4f |

| Improve this Doc View Source

#### Translation

##### Declaration

    public hkVector4f Translation

##### Field Value

Type | Description
--- | ---
hkVector4f |

### Methods

| Improve this Doc View Source

#### fastRenormalizeBatch1(hkQsTransformf*, Single*, UInt32)

##### Declaration

    public static void fastRenormalizeBatch1(hkQsTransformf*poseOut, float *weight, uint numTransforms)

##### Parameters

Type | Name | Description
--- | --- | ---
hkQsTransformf* | poseOut |
System.Single* | weight |
System.UInt32 | numTransforms |

| Improve this Doc View Source

#### fastRenormalizeBatch2(hkQsTransformf*, Single, UInt32)

##### Declaration

    public static void fastRenormalizeBatch2(hkQsTransformf*poseOut, float weight, uint numTransforms)

##### Parameters

Type | Name | Description
--- | --- | ---
hkQsTransformf* | poseOut |
System.Single | weight |
System.UInt32 | numTransforms |

| Improve this Doc View Source

#### fastRenormalizeQuaternionBatch(hkQsTransformf*, UInt32)

##### Declaration

    public static void fastRenormalizeQuaternionBatch(hkQsTransformf*poseOut, uint numTransforms)

##### Parameters

Type | Name | Description
--- | --- | ---
hkQsTransformf* | poseOut |
System.UInt32 | numTransforms |

| Improve this Doc View Source

#### get4x4ColumnMajor(Single*)

##### Declaration

    public void get4x4ColumnMajor(float *p)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single* | p |

| Improve this Doc View Source

#### isOk(Single)

##### Declaration

    public bool isOk(float epsilon)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | epsilon |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### set(hkMatrix4f*)

##### Declaration

    public bool set(hkMatrix4f*m)

##### Parameters

Type | Name | Description
--- | --- | ---
hkMatrix4f* | m |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### set4x4ColumnMajor(Single*)

##### Declaration

    public bool set4x4ColumnMajor(float *p)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single* | p |

##### Returns

Type | Description
--- | ---
System.Boolean |